import FWCore.ParameterSet.Config as cms
import SLHCUpgradeSimulations.Configuration.customise_PFlow as customise_PFlow

#GEN-SIM so far...
def customise(process):
    if hasattr(process,'DigiToRaw'):
        process=customise_DigiToRaw(process)
    if hasattr(process,'RawToDigi'):
        process=customise_RawToDigi(process)
    n=0
    if hasattr(process,'reconstruction') or hasattr(process,'dqmoffline_step'):
        if hasattr(process,'mix'):
            if hasattr(process.mix,'input'):
                n=process.mix.input.nbPileupEvents.averageNumber.value()
        else:
            print 'phase1TkCustoms requires a --pileup option to cmsDriver to run the reconstruction/dqm'
            print 'Please provide one!'
            sys.exit(1)
    if hasattr(process,'reconstruction'):
        process=customise_Reco(process,float(n))
    if hasattr(process,'digitisation_step'):
        process=customise_Digi(process)
    if hasattr(process,'dqmoffline_step'):
        process=customise_DQM(process,n)
    if hasattr(process,'dqmHarvesting'):
        process=customise_harvesting(process)
    if hasattr(process,'validation_step'):
        process=customise_Validation(process,float(n))
    process=customise_condOverRides(process)
    
    return process

def customise_Digi(process):
    process.mix.digitizers.pixel.MissCalibrate = False
    process.mix.digitizers.pixel.LorentzAngle_DB = False
    process.mix.digitizers.pixel.killModules = True
    

    dead=cms.VPSet()
    dead.extend([  
        cms.PSet(Dead_detID = cms.int32(307237112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307269880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307269876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307269940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307269944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307277952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307277948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307281972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307281976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307281996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308298028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308298032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308298160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308298156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308305924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308305928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308305932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308305936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308305936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308305932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308342996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308346900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308346904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308346972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308346976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308367760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338284), Module = cms.string('whole')),
    	 ]);
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(309338312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309363056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309363052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309363108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309363112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309370932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309370936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309370936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309370932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309404068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309404072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309408016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309408012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309408020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309408024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309411868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309411872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309411916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309411920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309415960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309415956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309415988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309415992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309432416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309432412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309432480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309432476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309432552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309432548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309445008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309445004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309449048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309449044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309449116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309449120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309456952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309456948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309456972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309456976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501488), Module = cms.string('whole')),
    	 ]);
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(310501496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310522020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310522024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310522028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310522032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310608012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310608016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311443620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311447616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311447612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311447648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311447644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311451728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311451724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311460004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311460008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311463964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311463968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311480460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311480464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311484440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311484436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311484544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311484540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311488636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311488640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311504996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311505000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311508996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311509000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311509128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311509124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311521340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311521344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311537672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311537668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311537744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311537740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311550000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311549996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311550004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311550008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311590932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311590936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311590968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311590964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311590976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311590972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311636112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311636108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311640176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311640172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311697576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311713800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311713796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311718000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311717996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311718064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311718060), Module = cms.string('whole')),
    	 ]);
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(311721992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311721988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311722148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311722152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311726212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311726216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311738480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311738476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311738500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311738504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355234828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355234832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355493028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355493032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355493116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355493120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355522020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355522024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355522064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355522060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355522072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355522068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355734568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355734564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355734580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355734584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355747012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355747016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355750928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355750924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355750936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355750932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355780040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355780036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355791904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355791900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356005028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356005032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356009132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037952), Module = cms.string('whole')),
    	 ]);
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(356037956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356038020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356038024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356049976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356049972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356262916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356262920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356296028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356296032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356296060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356296064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356303876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356303880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346863004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346863008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346863032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346863028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346878996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347083816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347083812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347088060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347088064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347092184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347108380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347108384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347108624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347108620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347132956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347132960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347132968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347132964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347132984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347132980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347346024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347346020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358428), Module = cms.string('whole')),
    	 ]);
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(347362384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347379000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347390980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347390984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347608200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347608196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347624616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347624612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347637012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347637016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347637052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347637056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347644952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347644948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347666012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347666016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347890760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347890756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347898968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347898964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347924000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347924016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347924012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347924048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347924044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928180), Module = cms.string('whole')),
                ]);
    process.mix.digitizers.pixel.DeadModules = cms.VPSet(dead)



    process.mix.digitizers.pixel.useDB = False
    process.mix.digitizers.pixel.DeadModules_DB = False
    process.mix.digitizers.pixel.NumPixelBarrel = cms.int32(10)
    process.mix.digitizers.pixel.NumPixelEndcap = cms.int32(14)
    process.mix.digitizers.pixel.ThresholdInElectrons_FPix = cms.double(2000.0)
    process.mix.digitizers.pixel.ThresholdInElectrons_BPix = cms.double(2000.0)
    process.mix.digitizers.pixel.ThresholdInElectrons_BPix_L1 = cms.double(2000.0)
    process.mix.digitizers.pixel.thePixelColEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelChipEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelColEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelChipEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.AddPixelInefficiencyFromPython = cms.bool(False)
    process.mix.digitizers.strip.ROUList = cms.vstring("g4SimHitsTrackerHitsPixelBarrelLowTof",
                         'g4SimHitsTrackerHitsPixelEndcapLowTof')
    # Check if mergedtruth is in the sequence first, could be taken out depending on cmsDriver options
    if hasattr(process.mix.digitizers,"mergedtruth") :    
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIBLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIBHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTOBLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTOBHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTECLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTECHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIDLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIDHighTof"))
    
    return process


def customise_DigiToRaw(process):
    process.digi2raw_step.remove(process.siPixelRawData)
    process.digi2raw_step.remove(process.rpcpacker)
    return process

def customise_RawToDigi(process):
    process.raw2digi_step.remove(process.siPixelDigis)
    return process

def customise_Reco(process,pileup):



    #use with latest pixel geometry
    process.ClusterShapeHitFilterESProducer.PixelShapeFile = cms.string('RecoPixelVertexing/PixelLowPtUtilities/data/pixelShape_Phase1Tk.par')
    # Need this line to stop error about missing siPixelDigis.
    process.MeasurementTracker.inactivePixelDetectorLabels = cms.VInputTag()

    # new layer list (3/4 pixel seeding) in InitialStep and pixelTracks
    process.pixellayertriplets.layerList = cms.vstring('BPix1+BPix2+BPix3', 'BPix2+BPix3+BPix4',
						       'BPix2+BPix3+FPix1_pos', 'BPix2+BPix3+FPix1_neg',
						       'BPix1+BPix2+FPix1_pos', 'BPix1+BPix2+FPix1_neg',
						       'BPix2+FPix1_pos+FPix2_pos', 'BPix2+FPix1_neg+FPix2_neg',
						       'BPix1+FPix1_pos+FPix2_pos', 'BPix1+FPix1_neg+FPix2_neg',
						       'BPix1+FPix2_pos+FPix3_pos', 'BPix1+FPix2_neg+FPix3_neg',
						       'FPix1_pos+FPix2_pos+FPix3_pos', 'FPix1_neg+FPix2_neg+FPix3_neg',
						       'FPix2_pos+FPix3_pos+FPix4_pos', 'FPix2_neg+FPix3_neg+FPix4_neg',
						       'FPix3_pos+FPix4_pos+FPix5_pos', 'FPix3_neg+FPix4_neg+FPix5_neg',
						       'FPix4_pos+FPix5_pos+FPix6_pos', 'FPix4_neg+FPix5_neg+FPix6_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos', 'FPix5_neg+FPix6_neg+FPix7_neg',
						       'FPix6_pos+FPix7_pos+FPix8_pos', 'FPix6_neg+FPix7_neg+FPix8_neg',
						       'FPix6_pos+FPix7_pos+FPix9_pos', 'FPix6_neg+FPix7_neg+FPix9_neg')

    # New tracking.  This is really ugly because it redefines globalreco and reconstruction.
    # It can be removed if change one line in Configuration/StandardSequences/python/Reconstruction_cff.py
    # from RecoTracker_cff.py to RecoTrackerPhase1PU140_cff.py

    # remove all the tracking first
    itIndex=process.globalreco.index(process.trackingGlobalReco)
    grIndex=process.reconstruction.index(process.globalreco)

    process.reconstruction.remove(process.globalreco)
    process.globalreco.remove(process.iterTracking)
    process.globalreco.remove(process.electronSeedsSeq)
    process.reconstruction_fromRECO.remove(process.trackingGlobalReco)
    del process.iterTracking
    del process.ckftracks
    del process.ckftracks_woBH
    del process.ckftracks_wodEdX
    del process.ckftracks_plus_pixelless
    del process.trackingGlobalReco
    del process.electronSeedsSeq
    del process.InitialStep
    del process.LowPtTripletStep
    del process.PixelPairStep
    del process.DetachedTripletStep
    del process.MixedTripletStep
    del process.PixelLessStep
    del process.TobTecStep
    del process.earlyGeneralTracks
    del process.ConvStep
    del process.earlyMuons
    del process.muonSeededStepCore
    del process.muonSeededStepExtra 
    del process.muonSeededStep
    del process.muonSeededStepDebug
    
    # add the correct tracking back in
    process.load("RecoTracker.Configuration.RecoTrackerPhase2BEPixel10D_cff")

    process.globalreco.insert(itIndex,process.trackingGlobalReco)
    process.reconstruction.insert(grIndex,process.globalreco)
    #Note process.reconstruction_fromRECO is broken
    
    # End of new tracking configuration which can be removed if new Reconstruction is used.


    process.reconstruction.remove(process.castorreco)
    process.reconstruction.remove(process.CastorTowerReco)
    process.reconstruction.remove(process.ak7BasicJets)
    process.reconstruction.remove(process.ak7CastorJetID)

    #the quadruplet merger configuration     
    process.load("RecoPixelVertexing.PixelTriplets.quadrupletseedmerging_cff")
    process.pixelseedmergerlayers.BPix.TTRHBuilder = cms.string("PixelTTRHBuilderWithoutAngle" )
    process.pixelseedmergerlayers.BPix.HitProducer = cms.string("siPixelRecHits" )
    process.pixelseedmergerlayers.FPix.TTRHBuilder = cms.string("PixelTTRHBuilderWithoutAngle" )
    process.pixelseedmergerlayers.FPix.HitProducer = cms.string("siPixelRecHits" )    
    process.pixelseedmergerlayers.layerList = cms.vstring('BPix1+BPix2+BPix3+BPix4',
						       'BPix1+BPix2+BPix3+FPix1_pos','BPix1+BPix2+BPix3+FPix1_neg',
						       'BPix1+BPix2+FPix1_pos+FPix2_pos', 'BPix1+BPix2+FPix1_neg+FPix2_neg',
						       'BPix1+FPix1_pos+FPix2_pos+FPix3_pos', 'BPix1+FPix1_neg+FPix2_neg+FPix3_neg',
						       'FPix1_pos+FPix2_pos+FPix3_pos+FPix4_pos', 'FPix1_neg+FPix2_neg+FPix3_neg+FPix4_neg',
						       'FPix2_pos+FPix3_pos+FPix4_pos+FPix5_pos', 'FPix2_neg+FPix3_neg+FPix4_neg+FPix5_neg',
						       'FPix3_pos+FPix4_pos+FPix5_pos+FPix6_pos', 'FPix3_neg+FPix4_neg+FPix5_neg+FPix6_pos',
						       'FPix4_pos+FPix5_pos+FPix6_pos+FPix7_pos', 'FPix4_neg+FPix5_neg+FPix6_neg+FPix7_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos+FPix8_pos', 'FPix5_neg+FPix6_neg+FPix7_neg+FPix8_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos+FPix9_pos', 'FPix5_neg+FPix6_neg+FPix7_neg+FPix9_neg',
						       'FPix6_pos+FPix7_pos+FPix8_pos+FPix9_pos', 'FPix6_neg+FPix7_neg+FPix8_neg+FPix9_neg')
    
    
    # Need these until pixel templates are used
    process.load("SLHCUpgradeSimulations.Geometry.recoFromSimDigis_cff")
    # PixelCPEGeneric #
    process.PixelCPEGenericESProducer.Upgrade = cms.bool(True)
    process.PixelCPEGenericESProducer.UseErrorsFromTemplates = cms.bool(False)
    process.PixelCPEGenericESProducer.LoadTemplatesFromDB = cms.bool(False)
    process.PixelCPEGenericESProducer.TruncatePixelCharge = cms.bool(False)
    process.PixelCPEGenericESProducer.IrradiationBiasCorrection = False
    process.PixelCPEGenericESProducer.DoCosmics = False
    # CPE for other steps
    process.siPixelRecHits.CPE = cms.string('PixelCPEGeneric')
    # Turn of template use in tracking (iterative steps handled inside their configs)
    process.mergedDuplicateTracks.TTRHBuilder = 'WithTrackAngle'
    process.ctfWithMaterialTracks.TTRHBuilder = 'WithTrackAngle'
    process.muonSeededSeedsInOut.TrackerRecHitBuilder=cms.string('WithTrackAngle')
    process.muonSeededTracksInOut.TTRHBuilder=cms.string('WithTrackAngle')
    process.muons1stStep.TrackerKinkFinderParameters.TrackerRecHitBuilder=cms.string('WithTrackAngle')
    process.regionalCosmicTracks.TTRHBuilder=cms.string('WithTrackAngle')
    process.cosmicsVetoTracksRaw.TTRHBuilder=cms.string('WithTrackAngle')
    # End of pixel template needed section
    
    process.regionalCosmicTrackerSeeds.OrderedHitsFactoryPSet.LayerPSet.layerList  = cms.vstring('BPix9+BPix8')  # Optimize later
    process.regionalCosmicTrackerSeeds.OrderedHitsFactoryPSet.LayerPSet.BPix = cms.PSet(
        HitProducer = cms.string('siPixelRecHits'),
        hitErrorRZ = cms.double(0.006),
        useErrorsFromParam = cms.bool(True),
        TTRHBuilder = cms.string('TTRHBuilderWithoutAngle4PixelPairs'),
        skipClusters = cms.InputTag("pixelPairStepClusters"),
        hitErrorRPhi = cms.double(0.0027)
    )
    # Make pixelTracks use quadruplets
    process.pixelTracks.SeedMergerPSet = cms.PSet(
        layerListName = cms.string('PixelSeedMergerQuadruplets'),
        addRemainingTriplets = cms.bool(False),
        mergeTriplets = cms.bool(True),
        ttrhBuilderLabel = cms.string('PixelTTRHBuilderWithoutAngle')
        )
    process.pixelTracks.OrderedHitsFactoryPSet.GeneratorPSet.maxElement = cms.uint32(0)
    process.pixelTracks.FilterPSet.chi2 = cms.double(50.0)
    process.pixelTracks.FilterPSet.tipMax = cms.double(0.05)
    process.pixelTracks.RegionFactoryPSet.RegionPSet.originRadius =  cms.double(0.02)

    # Particle flow needs to know that the eta range has increased, for
    # when linking tracks to HF clusters
    process=customise_PFlow.customise_extendedTrackerBarrel( process )

    return process

def customise_condOverRides(process):
    process.load('SLHCUpgradeSimulations.Geometry.fakeConditions_BarrelEndcap5DPixel10DLHCC_cff')
    process.trackerNumberingSLHCGeometry.layerNumberPXB = cms.uint32(20)
    process.trackerTopologyConstants.pxb_layerStartBit = cms.uint32(20)
    process.trackerTopologyConstants.pxb_ladderStartBit = cms.uint32(12)
    process.trackerTopologyConstants.pxb_moduleStartBit = cms.uint32(2)
    process.trackerTopologyConstants.pxb_layerMask = cms.uint32(15)
    process.trackerTopologyConstants.pxb_ladderMask = cms.uint32(255)
    process.trackerTopologyConstants.pxb_moduleMask = cms.uint32(1023)
    process.trackerTopologyConstants.pxf_diskStartBit = cms.uint32(18)
    process.trackerTopologyConstants.pxf_bladeStartBit = cms.uint32(12)
    process.trackerTopologyConstants.pxf_panelStartBit = cms.uint32(10)
    process.trackerTopologyConstants.pxf_moduleMask = cms.uint32(255)
    return process


def l1EventContent(process):
    #extend the event content

    alist=['RAWSIM','FEVTDEBUG','FEVTDEBUGHLT','GENRAW','RAWSIMHLT','FEVT']
    for a in alist:
        b=a+'output'
        if hasattr(process,b):

            getattr(process,b).outputCommands.append('keep *_TTClustersFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTStubsFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTTracksFromPixelDigis_*_*')

            getattr(process,b).outputCommands.append('keep *_TTClusterAssociatorFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTStubAssociatorFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTTrackAssociatorFromPixelDigis_*_*')

            getattr(process,b).outputCommands.append('drop PixelDigiSimLinkedmDetSetVector_mix_*_*')
            getattr(process,b).outputCommands.append('drop PixelDigiedmDetSetVector_mix_*_*')

            getattr(process,b).outputCommands.append('keep *_simSiPixelDigis_*_*')

    return process

def customise_DQM(process,pileup):
    # We cut down the number of iterative tracking steps
#    process.dqmoffline_step.remove(process.TrackMonStep3)
#    process.dqmoffline_step.remove(process.TrackMonStep4)
#    process.dqmoffline_step.remove(process.TrackMonStep5)
#    process.dqmoffline_step.remove(process.TrackMonStep6)
    			    #The following two steps were removed
                            #process.PixelLessStep*
                            #process.TobTecStep*
#    process.dqmoffline_step.remove(process.muonAnalyzer)
    process.dqmoffline_step.remove(process.jetMETAnalyzer)
#    process.dqmoffline_step.remove(process.TrackMonStep9)
#    process.dqmoffline_step.remove(process.TrackMonStep10)
#    process.dqmoffline_step.remove(process.PixelTrackingRecHitsValid)

    #put isUpgrade flag==true
    process.SiPixelRawDataErrorSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelDigiSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelClusterSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelRecHitSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelTrackResidualSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelHitEfficiencySource.isUpgrade = cms.untracked.bool(True)
    
    from DQM.TrackingMonitor.customizeTrackingMonitorSeedNumber import customise_trackMon_IterativeTracking_PHASE1PU140
    process=customise_trackMon_IterativeTracking_PHASE1PU140(process)
    process.dqmoffline_step.remove(process.Phase1Pu70TrackMonStep2)
    process.dqmoffline_step.remove(process.Phase1Pu70TrackMonStep4)
    if hasattr(process,"globalrechitsanalyze") : # Validation takes this out if pileup is more than 30
       process.globalrechitsanalyze.ROUList = cms.vstring(
          'g4SimHitsTrackerHitsPixelBarrelLowTof', 
          'g4SimHitsTrackerHitsPixelBarrelHighTof', 
          'g4SimHitsTrackerHitsPixelEndcapLowTof', 
          'g4SimHitsTrackerHitsPixelEndcapHighTof')
    return process

def customise_Validation(process,pileup):
    process.validation_step.remove(process.PixelTrackingRecHitsValid)
    process.validation_step.remove(process.stripRecHitsValid)
    process.validation_step.remove(process.trackerHitsValid)
    process.validation_step.remove(process.StripTrackingRecHitsValid)
    # We don't run the HLT
    process.validation_step.remove(process.HLTSusyExoVal)
    process.validation_step.remove(process.hltHiggsValidator)
    process.validation_step.remove(process.relvalMuonBits)
    if pileup>30:
        process.trackValidator.label=cms.VInputTag(cms.InputTag("cutsRecoTracksHp"))
        process.tracksValidationSelectors = cms.Sequence(process.cutsRecoTracksHp)
        process.globalValidation.remove(process.recoMuonValidation)
        process.validation.remove(process.recoMuonValidation)
        process.validation_preprod.remove(process.recoMuonValidation)
        process.validation_step.remove(process.recoMuonValidation)
        process.validation.remove(process.globalrechitsanalyze)
        process.validation_prod.remove(process.globalrechitsanalyze)
        process.validation_step.remove(process.globalrechitsanalyze)
        process.validation.remove(process.stripRecHitsValid)
        process.validation_step.remove(process.stripRecHitsValid)
        process.validation_step.remove(process.StripTrackingRecHitsValid)
        process.globalValidation.remove(process.vertexValidation)
        process.validation.remove(process.vertexValidation)
        process.validation_step.remove(process.vertexValidation)
        process.mix.input.nbPileupEvents.averageNumber = cms.double(0.0)
        process.mix.minBunch = cms.int32(0)
        process.mix.maxBunch = cms.int32(0)

    if hasattr(process,'simHitTPAssocProducer'):    
        process.simHitTPAssocProducer.simHitSrc=cms.VInputTag(cms.InputTag("g4SimHits","TrackerHitsPixelBarrelLowTof"),
                                                              cms.InputTag("g4SimHits","TrackerHitsPixelEndcapLowTof"))

    return process

def customise_harvesting(process):
    process.dqmHarvesting.remove(process.jetMETDQMOfflineClient)
    process.dqmHarvesting.remove(process.dataCertificationJetMET)
    process.dqmHarvesting.remove(process.sipixelEDAClient)
    process.dqmHarvesting.remove(process.sipixelCertification)
    return (process)

