import FWCore.ParameterSet.Config as cms
import SLHCUpgradeSimulations.Configuration.customise_PFlow as customise_PFlow

#GEN-SIM so far...
def customise(process):
    if hasattr(process,'DigiToRaw'):
        process=customise_DigiToRaw(process)
    if hasattr(process,'RawToDigi'):
        process=customise_RawToDigi(process)
    n=0
    if hasattr(process,'reconstruction') or hasattr(process,'dqmoffline_step'):
        if hasattr(process,'mix'):
            if hasattr(process.mix,'input'):
                n=process.mix.input.nbPileupEvents.averageNumber.value()
        else:
            print 'phase1TkCustoms requires a --pileup option to cmsDriver to run the reconstruction/dqm'
            print 'Please provide one!'
            sys.exit(1)
    if hasattr(process,'reconstruction'):
        process=customise_Reco(process,float(n))
    if hasattr(process,'digitisation_step'):
        process=customise_Digi(process)
    if hasattr(process,'dqmoffline_step'):
        process=customise_DQM(process,n)
    if hasattr(process,'dqmHarvesting'):
        process=customise_harvesting(process)
    if hasattr(process,'validation_step'):
        process=customise_Validation(process,float(n))
    process=customise_condOverRides(process)
    
    return process

def customise_Digi(process):
    process.mix.digitizers.pixel.MissCalibrate = False
    process.mix.digitizers.pixel.LorentzAngle_DB = False
    process.mix.digitizers.pixel.killModules = True
    

    dead=cms.VPSet()
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(307236892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307236896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309363000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309362996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309370988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309370992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310398980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310398984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310398988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310398992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310398996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310448224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310484996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310522012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310522016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310525996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310566996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310567000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310567004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310567008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310567020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310567024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310579296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310583392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310603872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310611972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310611976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310611980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310611984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310611988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310611992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310611996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310632624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311439488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311521352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311521348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311545956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311545960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311640104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311640100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311726224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311726220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355750976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355750972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355780064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355780060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356004872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356004868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347083792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347083788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347108592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347108588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347346008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347346004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347386928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347386924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347624656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347624652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347890792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347890788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911468), Module = cms.string('whole')),
    	 ]);
    dead.extend([  
        cms.PSet(Dead_detID = cms.int32(347915540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927944), Module = cms.string('whole')),
                ]);
    process.mix.digitizers.pixel.DeadModules = cms.VPSet(dead)


    process.mix.digitizers.pixel.useDB = False
    process.mix.digitizers.pixel.DeadModules_DB = False
    process.mix.digitizers.pixel.NumPixelBarrel = cms.int32(10)
    process.mix.digitizers.pixel.NumPixelEndcap = cms.int32(14)
    process.mix.digitizers.pixel.ThresholdInElectrons_FPix = cms.double(2000.0)
    process.mix.digitizers.pixel.ThresholdInElectrons_BPix = cms.double(2000.0)
    process.mix.digitizers.pixel.ThresholdInElectrons_BPix_L1 = cms.double(2000.0)
    process.mix.digitizers.pixel.thePixelColEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelChipEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelColEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelChipEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.AddPixelInefficiencyFromPython = cms.bool(False)
    process.mix.digitizers.strip.ROUList = cms.vstring("g4SimHitsTrackerHitsPixelBarrelLowTof",
                         'g4SimHitsTrackerHitsPixelEndcapLowTof')
    # Check if mergedtruth is in the sequence first, could be taken out depending on cmsDriver options
    if hasattr(process.mix.digitizers,"mergedtruth") :    
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIBLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIBHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTOBLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTOBHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTECLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTECHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIDLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIDHighTof"))
    
    return process


def customise_DigiToRaw(process):
    process.digi2raw_step.remove(process.siPixelRawData)
    process.digi2raw_step.remove(process.rpcpacker)
    return process

def customise_RawToDigi(process):
    process.raw2digi_step.remove(process.siPixelDigis)
    return process

def customise_Reco(process,pileup):



    #use with latest pixel geometry
    process.ClusterShapeHitFilterESProducer.PixelShapeFile = cms.string('RecoPixelVertexing/PixelLowPtUtilities/data/pixelShape_Phase1Tk.par')
    # Need this line to stop error about missing siPixelDigis.
    process.MeasurementTracker.inactivePixelDetectorLabels = cms.VInputTag()

    # new layer list (3/4 pixel seeding) in InitialStep and pixelTracks
    process.pixellayertriplets.layerList = cms.vstring('BPix1+BPix2+BPix3', 'BPix2+BPix3+BPix4',
						       'BPix2+BPix3+FPix1_pos', 'BPix2+BPix3+FPix1_neg',
						       'BPix1+BPix2+FPix1_pos', 'BPix1+BPix2+FPix1_neg',
						       'BPix2+FPix1_pos+FPix2_pos', 'BPix2+FPix1_neg+FPix2_neg',
						       'BPix1+FPix1_pos+FPix2_pos', 'BPix1+FPix1_neg+FPix2_neg',
						       'BPix1+FPix2_pos+FPix3_pos', 'BPix1+FPix2_neg+FPix3_neg',
						       'FPix1_pos+FPix2_pos+FPix3_pos', 'FPix1_neg+FPix2_neg+FPix3_neg',
						       'FPix2_pos+FPix3_pos+FPix4_pos', 'FPix2_neg+FPix3_neg+FPix4_neg',
						       'FPix3_pos+FPix4_pos+FPix5_pos', 'FPix3_neg+FPix4_neg+FPix5_neg',
						       'FPix4_pos+FPix5_pos+FPix6_pos', 'FPix4_neg+FPix5_neg+FPix6_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos', 'FPix5_neg+FPix6_neg+FPix7_neg',
						       'FPix6_pos+FPix7_pos+FPix8_pos', 'FPix6_neg+FPix7_neg+FPix8_neg',
						       'FPix6_pos+FPix7_pos+FPix9_pos', 'FPix6_neg+FPix7_neg+FPix9_neg')

    # New tracking.  This is really ugly because it redefines globalreco and reconstruction.
    # It can be removed if change one line in Configuration/StandardSequences/python/Reconstruction_cff.py
    # from RecoTracker_cff.py to RecoTrackerPhase1PU140_cff.py

    # remove all the tracking first
    itIndex=process.globalreco.index(process.trackingGlobalReco)
    grIndex=process.reconstruction.index(process.globalreco)

    process.reconstruction.remove(process.globalreco)
    process.globalreco.remove(process.iterTracking)
    process.globalreco.remove(process.electronSeedsSeq)
    process.reconstruction_fromRECO.remove(process.trackingGlobalReco)
    del process.iterTracking
    del process.ckftracks
    del process.ckftracks_woBH
    del process.ckftracks_wodEdX
    del process.ckftracks_plus_pixelless
    del process.trackingGlobalReco
    del process.electronSeedsSeq
    del process.InitialStep
    del process.LowPtTripletStep
    del process.PixelPairStep
    del process.DetachedTripletStep
    del process.MixedTripletStep
    del process.PixelLessStep
    del process.TobTecStep
    del process.earlyGeneralTracks
    del process.ConvStep
    del process.earlyMuons
    del process.muonSeededStepCore
    del process.muonSeededStepExtra 
    del process.muonSeededStep
    del process.muonSeededStepDebug
    
    # add the correct tracking back in
    process.load("RecoTracker.Configuration.RecoTrackerPhase2BEPixel10D_cff")

    process.globalreco.insert(itIndex,process.trackingGlobalReco)
    process.reconstruction.insert(grIndex,process.globalreco)
    #Note process.reconstruction_fromRECO is broken
    
    # End of new tracking configuration which can be removed if new Reconstruction is used.


    process.reconstruction.remove(process.castorreco)
    process.reconstruction.remove(process.CastorTowerReco)
    process.reconstruction.remove(process.ak7BasicJets)
    process.reconstruction.remove(process.ak7CastorJetID)

    #the quadruplet merger configuration     
    process.load("RecoPixelVertexing.PixelTriplets.quadrupletseedmerging_cff")
    process.pixelseedmergerlayers.BPix.TTRHBuilder = cms.string("PixelTTRHBuilderWithoutAngle" )
    process.pixelseedmergerlayers.BPix.HitProducer = cms.string("siPixelRecHits" )
    process.pixelseedmergerlayers.FPix.TTRHBuilder = cms.string("PixelTTRHBuilderWithoutAngle" )
    process.pixelseedmergerlayers.FPix.HitProducer = cms.string("siPixelRecHits" )    
    process.pixelseedmergerlayers.layerList = cms.vstring('BPix1+BPix2+BPix3+BPix4',
						       'BPix1+BPix2+BPix3+FPix1_pos','BPix1+BPix2+BPix3+FPix1_neg',
						       'BPix1+BPix2+FPix1_pos+FPix2_pos', 'BPix1+BPix2+FPix1_neg+FPix2_neg',
						       'BPix1+FPix1_pos+FPix2_pos+FPix3_pos', 'BPix1+FPix1_neg+FPix2_neg+FPix3_neg',
						       'FPix1_pos+FPix2_pos+FPix3_pos+FPix4_pos', 'FPix1_neg+FPix2_neg+FPix3_neg+FPix4_neg',
						       'FPix2_pos+FPix3_pos+FPix4_pos+FPix5_pos', 'FPix2_neg+FPix3_neg+FPix4_neg+FPix5_neg',
						       'FPix3_pos+FPix4_pos+FPix5_pos+FPix6_pos', 'FPix3_neg+FPix4_neg+FPix5_neg+FPix6_pos',
						       'FPix4_pos+FPix5_pos+FPix6_pos+FPix7_pos', 'FPix4_neg+FPix5_neg+FPix6_neg+FPix7_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos+FPix8_pos', 'FPix5_neg+FPix6_neg+FPix7_neg+FPix8_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos+FPix9_pos', 'FPix5_neg+FPix6_neg+FPix7_neg+FPix9_neg',
						       'FPix6_pos+FPix7_pos+FPix8_pos+FPix9_pos', 'FPix6_neg+FPix7_neg+FPix8_neg+FPix9_neg')
    
    
    # Need these until pixel templates are used
    process.load("SLHCUpgradeSimulations.Geometry.recoFromSimDigis_cff")
    # PixelCPEGeneric #
    process.PixelCPEGenericESProducer.Upgrade = cms.bool(True)
    process.PixelCPEGenericESProducer.UseErrorsFromTemplates = cms.bool(False)
    process.PixelCPEGenericESProducer.LoadTemplatesFromDB = cms.bool(False)
    process.PixelCPEGenericESProducer.TruncatePixelCharge = cms.bool(False)
    process.PixelCPEGenericESProducer.IrradiationBiasCorrection = False
    process.PixelCPEGenericESProducer.DoCosmics = False
    # CPE for other steps
    process.siPixelRecHits.CPE = cms.string('PixelCPEGeneric')
    # Turn of template use in tracking (iterative steps handled inside their configs)
    process.mergedDuplicateTracks.TTRHBuilder = 'WithTrackAngle'
    process.ctfWithMaterialTracks.TTRHBuilder = 'WithTrackAngle'
    process.muonSeededSeedsInOut.TrackerRecHitBuilder=cms.string('WithTrackAngle')
    process.muonSeededTracksInOut.TTRHBuilder=cms.string('WithTrackAngle')
    process.muons1stStep.TrackerKinkFinderParameters.TrackerRecHitBuilder=cms.string('WithTrackAngle')
    process.regionalCosmicTracks.TTRHBuilder=cms.string('WithTrackAngle')
    process.cosmicsVetoTracksRaw.TTRHBuilder=cms.string('WithTrackAngle')
    # End of pixel template needed section
    
    process.regionalCosmicTrackerSeeds.OrderedHitsFactoryPSet.LayerPSet.layerList  = cms.vstring('BPix9+BPix8')  # Optimize later
    process.regionalCosmicTrackerSeeds.OrderedHitsFactoryPSet.LayerPSet.BPix = cms.PSet(
        HitProducer = cms.string('siPixelRecHits'),
        hitErrorRZ = cms.double(0.006),
        useErrorsFromParam = cms.bool(True),
        TTRHBuilder = cms.string('TTRHBuilderWithoutAngle4PixelPairs'),
        skipClusters = cms.InputTag("pixelPairStepClusters"),
        hitErrorRPhi = cms.double(0.0027)
    )
    # Make pixelTracks use quadruplets
    process.pixelTracks.SeedMergerPSet = cms.PSet(
        layerListName = cms.string('PixelSeedMergerQuadruplets'),
        addRemainingTriplets = cms.bool(False),
        mergeTriplets = cms.bool(True),
        ttrhBuilderLabel = cms.string('PixelTTRHBuilderWithoutAngle')
        )
    process.pixelTracks.OrderedHitsFactoryPSet.GeneratorPSet.maxElement = cms.uint32(0)
    process.pixelTracks.FilterPSet.chi2 = cms.double(50.0)
    process.pixelTracks.FilterPSet.tipMax = cms.double(0.05)
    process.pixelTracks.RegionFactoryPSet.RegionPSet.originRadius =  cms.double(0.02)

    # Particle flow needs to know that the eta range has increased, for
    # when linking tracks to HF clusters
    process=customise_PFlow.customise_extendedTrackerBarrel( process )

    return process

def customise_condOverRides(process):
    process.load('SLHCUpgradeSimulations.Geometry.fakeConditions_BarrelEndcap5DPixel10DLHCCCooling_cff')
    process.trackerNumberingSLHCGeometry.layerNumberPXB = cms.uint32(20)
    process.trackerTopologyConstants.pxb_layerStartBit = cms.uint32(20)
    process.trackerTopologyConstants.pxb_ladderStartBit = cms.uint32(12)
    process.trackerTopologyConstants.pxb_moduleStartBit = cms.uint32(2)
    process.trackerTopologyConstants.pxb_layerMask = cms.uint32(15)
    process.trackerTopologyConstants.pxb_ladderMask = cms.uint32(255)
    process.trackerTopologyConstants.pxb_moduleMask = cms.uint32(1023)
    process.trackerTopologyConstants.pxf_diskStartBit = cms.uint32(18)
    process.trackerTopologyConstants.pxf_bladeStartBit = cms.uint32(12)
    process.trackerTopologyConstants.pxf_panelStartBit = cms.uint32(10)
    process.trackerTopologyConstants.pxf_moduleMask = cms.uint32(255)
    return process


def l1EventContent(process):
    #extend the event content

    alist=['RAWSIM','FEVTDEBUG','FEVTDEBUGHLT','GENRAW','RAWSIMHLT','FEVT']
    for a in alist:
        b=a+'output'
        if hasattr(process,b):

            getattr(process,b).outputCommands.append('keep *_TTClustersFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTStubsFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTTracksFromPixelDigis_*_*')

            getattr(process,b).outputCommands.append('keep *_TTClusterAssociatorFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTStubAssociatorFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTTrackAssociatorFromPixelDigis_*_*')

            getattr(process,b).outputCommands.append('drop PixelDigiSimLinkedmDetSetVector_mix_*_*')
            getattr(process,b).outputCommands.append('drop PixelDigiedmDetSetVector_mix_*_*')

            getattr(process,b).outputCommands.append('keep *_simSiPixelDigis_*_*')

    return process

def customise_DQM(process,pileup):
    # We cut down the number of iterative tracking steps
#    process.dqmoffline_step.remove(process.TrackMonStep3)
#    process.dqmoffline_step.remove(process.TrackMonStep4)
#    process.dqmoffline_step.remove(process.TrackMonStep5)
#    process.dqmoffline_step.remove(process.TrackMonStep6)
    			    #The following two steps were removed
                            #process.PixelLessStep*
                            #process.TobTecStep*
#    process.dqmoffline_step.remove(process.muonAnalyzer)
    process.dqmoffline_step.remove(process.jetMETAnalyzer)
#    process.dqmoffline_step.remove(process.TrackMonStep9)
#    process.dqmoffline_step.remove(process.TrackMonStep10)
#    process.dqmoffline_step.remove(process.PixelTrackingRecHitsValid)

    #put isUpgrade flag==true
    process.SiPixelRawDataErrorSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelDigiSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelClusterSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelRecHitSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelTrackResidualSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelHitEfficiencySource.isUpgrade = cms.untracked.bool(True)
    
    from DQM.TrackingMonitor.customizeTrackingMonitorSeedNumber import customise_trackMon_IterativeTracking_PHASE1PU140
    process=customise_trackMon_IterativeTracking_PHASE1PU140(process)
    process.dqmoffline_step.remove(process.Phase1Pu70TrackMonStep2)
    process.dqmoffline_step.remove(process.Phase1Pu70TrackMonStep4)
    if hasattr(process,"globalrechitsanalyze") : # Validation takes this out if pileup is more than 30
       process.globalrechitsanalyze.ROUList = cms.vstring(
          'g4SimHitsTrackerHitsPixelBarrelLowTof', 
          'g4SimHitsTrackerHitsPixelBarrelHighTof', 
          'g4SimHitsTrackerHitsPixelEndcapLowTof', 
          'g4SimHitsTrackerHitsPixelEndcapHighTof')
    return process

def customise_Validation(process,pileup):
    process.validation_step.remove(process.PixelTrackingRecHitsValid)
    process.validation_step.remove(process.stripRecHitsValid)
    process.validation_step.remove(process.trackerHitsValid)
    process.validation_step.remove(process.StripTrackingRecHitsValid)
    # We don't run the HLT
    process.validation_step.remove(process.HLTSusyExoVal)
    process.validation_step.remove(process.hltHiggsValidator)
    process.validation_step.remove(process.relvalMuonBits)
    if pileup>30:
        process.trackValidator.label=cms.VInputTag(cms.InputTag("cutsRecoTracksHp"))
        process.tracksValidationSelectors = cms.Sequence(process.cutsRecoTracksHp)
        process.globalValidation.remove(process.recoMuonValidation)
        process.validation.remove(process.recoMuonValidation)
        process.validation_preprod.remove(process.recoMuonValidation)
        process.validation_step.remove(process.recoMuonValidation)
        process.validation.remove(process.globalrechitsanalyze)
        process.validation_prod.remove(process.globalrechitsanalyze)
        process.validation_step.remove(process.globalrechitsanalyze)
        process.validation.remove(process.stripRecHitsValid)
        process.validation_step.remove(process.stripRecHitsValid)
        process.validation_step.remove(process.StripTrackingRecHitsValid)
        process.globalValidation.remove(process.vertexValidation)
        process.validation.remove(process.vertexValidation)
        process.validation_step.remove(process.vertexValidation)
        process.mix.input.nbPileupEvents.averageNumber = cms.double(0.0)
        process.mix.minBunch = cms.int32(0)
        process.mix.maxBunch = cms.int32(0)

    if hasattr(process,'simHitTPAssocProducer'):    
        process.simHitTPAssocProducer.simHitSrc=cms.VInputTag(cms.InputTag("g4SimHits","TrackerHitsPixelBarrelLowTof"),
                                                              cms.InputTag("g4SimHits","TrackerHitsPixelEndcapLowTof"))

    return process

def customise_harvesting(process):
    process.dqmHarvesting.remove(process.jetMETDQMOfflineClient)
    process.dqmHarvesting.remove(process.dataCertificationJetMET)
    process.dqmHarvesting.remove(process.sipixelEDAClient)
    process.dqmHarvesting.remove(process.sipixelCertification)
    return (process)

